| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
wxPGAttributeStorage Class Reference

`#include <wx/propgrid/property.h>`

## Detailed Description

wxPGAttributeStorage is somewhat optimized storage for key=variant pairs (ie.

a map).

## Public Types

typedef wxPGHashMapS2P::const_iterator | const_iterator

## Public Member Functions

| wxPGAttributeStorage ()
| ~wxPGAttributeStorage ()
void | Set (const wxString &name, const wxVariant &value)
unsigned int | GetCount () const
wxVariant | FindValue (const wxString &name) const
const_iterator | StartIteration () const
bool | GetNext (const_iterator &it, wxVariant &variant) const

## Member Typedef Documentation

typedef wxPGHashMapS2P::const_iterator wxPGAttributeStorage::const_iterator

## Constructor & Destructor Documentation

wxPGAttributeStorage::wxPGAttributeStorage | ( |  | ) |

wxPGAttributeStorage::~wxPGAttributeStorage | ( |  | ) |

## Member Function Documentation

wxVariant wxPGAttributeStorage::FindValue | ( | const wxString & | name | ) | const

unsigned int wxPGAttributeStorage::GetCount | ( |  | ) | const

bool wxPGAttributeStorage::GetNext | ( | const_iterator & | it,
|  | wxVariant & | variant
| ) |  | const

void wxPGAttributeStorage::Set | ( | const wxString & | name,
|  | const wxVariant & | value
| ) |  |

const_iterator wxPGAttributeStorage::StartIteration | ( |  | ) | const